## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseASEColumn

All Superinterfaces:
  Column, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SybaseAuthorizedObject, TypedElement

All Known Implementing Classes:
  SybaseASECatalogColumn, SybaseASEColumnImpl

    public interface SybaseASEColumn

extends Column, SybaseAuthorizedObject

A representation of the model object 'Sybase ASE Column'. ASE column's defaultValue attribute will hold either inline default or bound default value. Judge boundDefault is null or not to determine the defaultValue's holder(inline or bound defualt). -- To be consistent with the standard SQL model

The following features are supported:

- `Column Check`
- `Bound Default`
- `Bound Rule`
- `Materialized`
- `Encryption Key`
- `Bind Default In Future Only`
- `Bind Rule In Future Only`
- `Hidden`

See Also:
  `SybaseasesqlmodelPackage.getSybaseASEColumn()`

Method Summary
`SybaseASEDefault` `getBoundDefault()` Returns the value of the 'Bound Default' reference.
`SybaseASERule` `getBoundRule()` Returns the value of the 'Bound Rule' reference.
`SybaseASEColumnCheckConstraint` `getColumnCheck()` Returns the value of the 'Column Check' reference.
`SybaseASEEncryptionKey` `getEncryptionKey()` Returns the value of the 'Encryption Key' reference.
`boolean` `isBindDefaultInFutureOnly()` Returns the value of the 'Bind Default In Future Only' attribute.
`boolean` `isBindRuleInFutureOnly()` Returns the value of the 'Bind Rule In Future Only' attribute.
`boolean` `isComputedColumn()`
`boolean` `isHidden()` Returns the value of the 'Hidden' attribute.
`boolean` `isMaterialized()` Returns the value of the 'Materialized' attribute.
`void` `setBindDefaultInFutureOnly(boolean value)` Sets the value of the '`Bind Default In Future Only`' attribute.
`void` `setBindRuleInFutureOnly(boolean value)` Sets the value of the '`Bind Rule In Future Only`' attribute.
`void` `setBoundDefault(SybaseASEDefault value)` Sets the value of the '`Bound Default`' reference.
`void` `setBoundRule(SybaseASERule value)` Sets the value of the '`Bound Rule`' reference.
`void` `setColumnCheck(SybaseASEColumnCheckConstraint value)` Sets the value of the '`Column Check`' reference.
`void` `setEncryptionKey(SybaseASEEncryptionKey value)` Sets the value of the '`Encryption Key`' reference.
`void` `setHidden(boolean value)` Sets the value of the '`Hidden`' attribute.
`void` `setMaterialized(boolean value)` Sets the value of the '`Materialized`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Column
`getDefaultValue, getGenerateExpression, getIdentitySpecifier, getScopeCheck, getTable, isImplementationDependent, isNullable, isPartOfForeignKey, isPartOfPrimaryKey, isPartOfUniqueConstraint, isScopeChecked, setDefaultValue, setGenerateExpression, setIdentitySpecifier, setImplementationDependent, setNullable, setScopeCheck, setScopeChecked, setTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getColumnCheck

    SybaseASEColumnCheckConstraint getColumnCheck()

  Returns the value of the 'Column Check' reference. It is bidirectional and its opposite is '`Column`'.

  If the meaning of the 'Column Check' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Column Check' reference.
  See Also:
    `setColumnCheck(SybaseASEColumnCheckConstraint)`, `SybaseasesqlmodelPackage.getSybaseASEColumn_ColumnCheck()`, `SybaseASEColumnCheckConstraint.getColumn()`

### setColumnCheck

    void setColumnCheck(SybaseASEColumnCheckConstraint value)

  Sets the value of the '`Column Check`' reference.

  Parameters:
    `value` - the new value of the 'Column Check' reference.
  See Also:
    `getColumnCheck()`

### getBoundDefault

    SybaseASEDefault getBoundDefault()

  Returns the value of the 'Bound Default' reference.

  If the meaning of the 'Bound Default' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Bound Default' reference.
  See Also:
    `setBoundDefault(SybaseASEDefault)`, `SybaseasesqlmodelPackage.getSybaseASEColumn_BoundDefault()`

### setBoundDefault

    void setBoundDefault(SybaseASEDefault value)

  Sets the value of the '`Bound Default`' reference.

  Parameters:
    `value` - the new value of the 'Bound Default' reference.
  See Also:
    `getBoundDefault()`

### getBoundRule

    SybaseASERule getBoundRule()

  Returns the value of the 'Bound Rule' reference.

  If the meaning of the 'Bound Rule' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Bound Rule' reference.
  See Also:
    `setBoundRule(SybaseASERule)`, `SybaseasesqlmodelPackage.getSybaseASEColumn_BoundRule()`

### setBoundRule

    void setBoundRule(SybaseASERule value)

  Sets the value of the '`Bound Rule`' reference.

  Parameters:
    `value` - the new value of the 'Bound Rule' reference.
  See Also:
    `getBoundRule()`

### isMaterialized

    boolean isMaterialized()

  Returns the value of the 'Materialized' attribute.

  If the meaning of the 'Materialized' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Materialized' attribute.
  See Also:
    `setMaterialized(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEColumn_Materialized()`

### setMaterialized

    void setMaterialized(boolean value)

  Sets the value of the '`Materialized`' attribute.

  Parameters:
    `value` - the new value of the 'Materialized' attribute.
  See Also:
    `isMaterialized()`

### getEncryptionKey

    SybaseASEEncryptionKey getEncryptionKey()

  Returns the value of the 'Encryption Key' reference.

  If the meaning of the 'Encryption Key' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Encryption Key' reference.
  See Also:
    `setEncryptionKey(SybaseASEEncryptionKey)`, `SybaseasesqlmodelPackage.getSybaseASEColumn_EncryptionKey()`

### setEncryptionKey

    void setEncryptionKey(SybaseASEEncryptionKey value)

  Sets the value of the '`Encryption Key`' reference.

  Parameters:
    `value` - the new value of the 'Encryption Key' reference.
  See Also:
    `getEncryptionKey()`

### isBindDefaultInFutureOnly

    boolean isBindDefaultInFutureOnly()

  Returns the value of the 'Bind Default In Future Only' attribute.

  If the meaning of the 'Bind Default In Future Only' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Bind Default In Future Only' attribute.
  See Also:
    `setBindDefaultInFutureOnly(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEColumn_BindDefaultInFutureOnly()`

### setBindDefaultInFutureOnly

    void setBindDefaultInFutureOnly(boolean value)

  Sets the value of the '`Bind Default In Future Only`' attribute.

  Parameters:
    `value` - the new value of the 'Bind Default In Future Only' attribute.
  See Also:
    `isBindDefaultInFutureOnly()`

### isBindRuleInFutureOnly

    boolean isBindRuleInFutureOnly()

  Returns the value of the 'Bind Rule In Future Only' attribute.

  If the meaning of the 'Bind Rule In Future Only' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Bind Rule In Future Only' attribute.
  See Also:
    `setBindRuleInFutureOnly(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEColumn_BindRuleInFutureOnly()`

### setBindRuleInFutureOnly

    void setBindRuleInFutureOnly(boolean value)

  Sets the value of the '`Bind Rule In Future Only`' attribute.

  Parameters:
    `value` - the new value of the 'Bind Rule In Future Only' attribute.
  See Also:
    `isBindRuleInFutureOnly()`

### isHidden

    boolean isHidden()

  Returns the value of the 'Hidden' attribute. The default value is `"false"`.

  If the meaning of the 'Hidden' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Hidden' attribute.
  See Also:
    `setHidden(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEColumn_Hidden()`

### setHidden

    void setHidden(boolean value)

  Sets the value of the '`Hidden`' attribute.

  Parameters:
    `value` - the new value of the 'Hidden' attribute.
  See Also:
    `isHidden()`

### isComputedColumn

    boolean isComputedColumn()